[tool.poetry]
name = "sangue"
version = "0.1.0"
description = "Gestione Briq"
authors = ["Guido Longoni <guido.longoni@briq.it>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.10"
django = "^4.1.6"
python-dotenv = "^0.21.1"
djangorestframework = "^3.14.0"
django-cors-headers = "^3.13.0"
drf-yasg = "^1.21.4"
django-import-export = "^3.0.2"
psycopg2 = "^2.9.5"
channels = "^4.0.0"
uvicorn = {extras = ["standard"], version = "^0.20.0"}
channels-redis = "^4.0.0"
django-ordered-model = "^3.6"
django-auto-prefetching = "^0.2.12"
django-polymorphic = "^3.1.0"
django-admin-autocomplete-list-filter = {git = "https://git.briq.it/Briq/django-admin-autocomplete-list-filter.git"}
django-admin-interface = "^0.26.0"

[tool.poetry.group.dev.dependencies]
nuitka = "^1.4.4"
ordered-set = "^4.1.0"
autopep8 = "^2.0.1"
pylint = "^2.16.1"
rope = "^1.7.0"
django-extensions = "^3.2.1"
docopt = "^0.6.2"
lark = "^1.1.5"
django-debug-toolbar = "^3.8.1"

[[tool.poetry.source]]
name = "PyPI"
priority = "primary"

[[tool.poetry.source]]
name = "briq"
url = "https://py.briq.it/simple/"
priority = "supplemental"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
